package cn.freemud.enums;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: productType
 * @Package cn.freemud.enums
 * @Description: 这个类是给C端小程序的枚举类，最终版本
 * @author: zhenghuan.yang
 * @date: 2018/10/23 17:50
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum CProductType {
    PRODUCT_TYPE_1(1,"单品无属性"),
    PRODUCT_TYPE_2(2,"单品有属性"),
    PRODUCT_TYPE_7(7,"套餐商品"),
    PRODUCT_TYPE_8(8,"多规格有属性"),
    PRODUCT_TYPE_10(10,"多规格无属性");

    private int code;

    private String desc;

    CProductType(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
